# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class AddCustomLiveStreamTranscodeTemplateRequest(JDCloudRequest):
    """
    添加自定义转码模板
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(AddCustomLiveStreamTranscodeTemplateRequest, self).__init__(
            '/transcodeCustoms:template', 'POST', header, version)
        self.parameters = parameters


class AddCustomLiveStreamTranscodeTemplateParameters(object):

    def __init__(self, videoCodeRate, videoFrameRate, template, audioCodec, audioFormat, audioSampleRate, audioChannel, audioCodeRate):
        """
        :param videoCodeRate: 转码输出的码率值:
 - 取值范围:[200,3000]
 - 单位: kpbs

        :param videoFrameRate: 转码输出的帧率值:
  - 取值：15/1、25/1、30/1、60/1

        :param template: 转码模板后缀:
  - 标准质量模板：sd、hd、hsd
  - 自定义模板: 枚举类型校验，忽略大小写，自动删除空格,
              取值要求：数字、大小写字母或短横线("-"),
              首尾不能有特殊字符("-")
  - <b>注意: 不能与标准的转码模板和已定义命名重复</b>

        :param audioCodec: 转码输出音频编码格式:
  - 取值: aac、mp3
  - 不区分大小写

        :param audioFormat: 转码输出音频格式:
  - 取值: aac_lc，aac_low，aac_he，aac_he_v2
  - 不区分大小写

        :param audioSampleRate: 转码输出音频采样率:
  - 取值: [44100,48000]

        :param audioChannel: 转码输出音频通道数:
  - 1  单声道
  - 2  双声道

        :param audioCodeRate: 转码输出音频码率:
  - 取值: [16,128]
  - 单位: kbps

        """

        self.videoCodeRate = videoCodeRate
        self.videoFrameRate = videoFrameRate
        self.width = None
        self.height = None
        self.template = template
        self.audioCodec = audioCodec
        self.audioFormat = audioFormat
        self.audioSampleRate = audioSampleRate
        self.audioChannel = audioChannel
        self.audioCodeRate = audioCodeRate

    def setWidth(self, width):
        """
        :param width: (Optional) 转码输出视频宽度:
  - 取值: [100,1920]
  - 等比: 如果只填写一个参数,则按参数比例调节输出转码视频
  - 随源: 如果两个参数都不填写，则按照源比例输出转码视频

        """
        self.width = width

    def setHeight(self, height):
        """
        :param height: (Optional) 转码输出视频宽度:
  - 取值: [100,1920]
  - 等比: 如果只填写一个参数,则按参数比例调节输出转码视频
  - 随源: 如果两个参数都不填写，则按照源比例输出转码视频

        """
        self.height = height

