# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DeleteLiveStreamAppTranscodeRequest(JDCloudRequest):
    """
    删除APP转码配置
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DeleteLiveStreamAppTranscodeRequest, self).__init__(
            '/transcodeApps/{publishDomain}/appNames/{appName}/templates/{template}', 'DELETE', header, version)
        self.parameters = parameters


class DeleteLiveStreamAppTranscodeParameters(object):

    def __init__(self, publishDomain, appName, template, ):
        """
        :param publishDomain: 推流加速域名
        :param appName: 直播流所属应用名称
        :param template: 转码模板自定义名称:
  - 标准质量模板：sd、hd、hsd
  - 自定义模板: 枚举类型校验，忽略大小写，自动删除空格,
               取值要求：数字、大小写字母或短横线("-"),
               首尾不能有特殊字符("-")
  - <b>注意: 不能与标准的转码模板和已定义命名重复</b>
        """

        self.publishDomain = publishDomain
        self.appName = appName
        self.template = template

